Package com.collibra.dgc.core.api.dto.workflow

# Class ChangeAssetTypeAssignmentRuleRequest.Builder

Object
Builder

Enclosing class:
  `ChangeAssetTypeAssignmentRuleRequest`

public static final class ChangeAssetTypeAssignmentRuleRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeAssetTypeAssignmentRuleRequest.Builder`
  `assetTypeId(UUID assetTypeId)`
  Required. The ID of the asset type the changed rule should refer to.
  `ChangeAssetTypeAssignmentRuleRequest`
  `build()`
  `ChangeAssetTypeAssignmentRuleRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeAssetTypeAssignmentRuleRequest.Builder`
  `communityId(UUID communityId)`
  The ID of the community the assignment rule should apply for.
  `ChangeAssetTypeAssignmentRuleRequest.Builder`
  `domainId(UUID domainId)`
  The ID of the domain the assignment rule should apply for.
  `ChangeAssetTypeAssignmentRuleRequest.Builder`
  `exactResourceTypeMatch(Boolean exactResourceTypeMatch)`
  When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule.
  `ChangeAssetTypeAssignmentRuleRequest.Builder`
  `ruleId(UUID ruleId)`
  Required. The ID of the domain type assignment rule.
  `ChangeAssetTypeAssignmentRuleRequest.Builder`
  `statusId(UUID statusId)`
  The ID of the (Asset Type) status the assignment rule should apply for.
  `String`
  `toString()`
  `ChangeAssetTypeAssignmentRuleRequest.Builder`
  `workflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition containing the assignment rule to be changed.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeAssetTypeAssignmentRuleRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeAssetTypeAssignmentRuleRequest.builder()`
    Clone method for this Builder.

  - ### workflowDefinitionId

    public ChangeAssetTypeAssignmentRuleRequest.Builder workflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition containing the assignment rule to be changed. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### ruleId

    public ChangeAssetTypeAssignmentRuleRequest.Builder ruleId(UUID ruleId)
    Required. The ID of the domain type assignment rule. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### assetTypeId

    public ChangeAssetTypeAssignmentRuleRequest.Builder assetTypeId(UUID assetTypeId)
    Required. The ID of the asset type the changed rule should refer to.
    Returns:
      `this`.

  - ### domainId

    public ChangeAssetTypeAssignmentRuleRequest.Builder domainId(UUID domainId)
    The ID of the domain the assignment rule should apply for.
    Returns:
      `this`.

  - ### communityId

    public ChangeAssetTypeAssignmentRuleRequest.Builder communityId(UUID communityId)
    The ID of the community the assignment rule should apply for.
    Returns:
      `this`.

  - ### statusId

    public ChangeAssetTypeAssignmentRuleRequest.Builder statusId(UUID statusId)
    The ID of the (Asset Type) status the assignment rule should apply for.
    Returns:
      `this`.

  - ### exactResourceTypeMatch

    public ChangeAssetTypeAssignmentRuleRequest.Builder exactResourceTypeMatch(Boolean exactResourceTypeMatch)
    When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.
    Returns:
      `this`.

  - ### build

    public ChangeAssetTypeAssignmentRuleRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`